{ config, lib, pkgs, ... }:

{
  # Read the changelog before changing this value
  home.stateVersion = "24.05";

  # insert home-manager config
  imports = [
    ../../modules/home-manager/nixvim.nix
    ../../modules/home-manager/zsh.nix
    ../../modules/home-manager/git.nix
    ../../modules/home-manager/tmux.nix
    ../../modules/home-manager/bitwarden.nix
    ../../modules/home-manager/kubernetes.nix
    ../../modules/home-manager/email.nix
    ../../modules/home-manager/emacs
  ];
}
